import { ImageBase, stretchProperty, imageSourceProperty, tintColorProperty, srcProperty, iosSymbolEffectProperty, ImageSymbolEffect, ImageSymbolEffects, iosSymbolScaleProperty } from './image-common';
import { ImageSource } from '../../image-source';
import { ImageAsset } from '../../image-asset';
import { Color } from '../../color';
export * from './image-common';
export declare class Image extends ImageBase {
    [stretchProperty.setNative]: (value: "none" | "aspectFill" | "aspectFit" | "fill") => void;
    [tintColorProperty.setNative]: (value: Color) => void;
    [imageSourceProperty.setNative]: (value: ImageSource) => void;
    [srcProperty.setNative]: (value: string | ImageSource | ImageAsset) => void;
    [iosSymbolEffectProperty.setNative]: (value: ImageSymbolEffect | ImageSymbolEffects) => void;
    [iosSymbolScaleProperty.setNative]: (value: string) => void;
    nativeViewProtected: UIImageView;
    private _imageSourceAffectsLayout;
    private _templateImageWasCreated;
    createNativeView(): UIImageView;
    initNativeView(): void;
    disposeImageSource(): void;
    disposeNativeView(): void;
    private setTintColor;
    _setNativeImage(nativeImage: UIImage): void;
    _setNativeClipToBounds(): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    private static computeScaleFactor;
    private _setSrc;
}
